package com.ssj.bean.weixin.sales.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2017年6月22日 下午2:47:55 
 * 类说明  卡对应的服务表
 */
@Entity
@Table(name = "tb_lib_borrowed_service")
public class LibBorrowedService  extends BaseEntity  {

	 /**
	 * 
	 */
	private static final long serialVersionUID = 5312514971196397307L;
	/**
	 * 卡的种类S001会员卡，S003VIP专席卡
	 */
	private String species;
	/**
	 * C001年卡C002半年卡C003月卡C004单次卡（100元/2小时）C005学霸卡40小时（1500元）C006学霸卡120小时（3600元）
	 */
	 private String  type;
	 /**
	  * 生成时间
	  */
	 private Date createTime;
	 
	 /**
		 * SSJ代表总部初始数据，其他代表各个图书馆
		 */
	 private String libId;
	 /**
	  * //押金
	  */
	 private Integer deposit; 
	 /**
	  * //可借书籍数量
	  */
	 private Integer borrowNum; 
	 /**
	  * //可借书天数	
	  */
	 private Integer borrowDay;  
	 /**
	  * //逾期后每日扣的钱
	  */
	 private BigDecimal outMoney;
	public String getSpecies() {
		return species;
	}
	public void setSpecies(String species) {
		this.species = species;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public Integer getDeposit() {
		return deposit;
	}
	public void setDeposit(Integer deposit) {
		this.deposit = deposit;
	}
	public Integer getBorrowNum() {
		return borrowNum;
	}
	public void setBorrowNum(Integer borrowNum) {
		this.borrowNum = borrowNum;
	}
	public Integer getBorrowDay() {
		return borrowDay;
	}
	public void setBorrowDay(Integer borrowDay) {
		this.borrowDay = borrowDay;
	}
	public BigDecimal getOutMoney() {
		return outMoney;
	}
	public void setOutMoney(BigDecimal outMoney) {
		this.outMoney = outMoney;
	} 
	 
	 
	 
}
